<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawTextParagraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawTextParagraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="DrawTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Class DrawTextParagraph" class="title">Class DrawTextParagraph</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.draw.DrawTextParagraph</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                           title="interface in org.apache.poi.sl.draw">Drawable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawTextParagraph</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/sl/draw/Drawable.html" title="interface in org.apache.poi.sl.draw">Drawable</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                         title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#autoNbrIdx">autoNbrIdx</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#bullet">bullet</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static
                                    org.apache.poi.sl.draw.DrawTextParagraph.XlinkAttribute</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#HYPERLINK_HREF">HYPERLINK_HREF</a></span></code>
                                    <div class="block">Keys for passing hyperlinks to the graphics context</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static
                                    org.apache.poi.sl.draw.DrawTextParagraph.XlinkAttribute</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#HYPERLINK_LABEL">HYPERLINK_LABEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#lines">lines</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#maxLineHeight">maxLineHeight</a></span></code>
                                    <div class="block">the highest line in this paragraph.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#paragraph">paragraph</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#rawText">rawText</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.html#CURRENT_SLIDE">CURRENT_SLIDE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY">DRAW_FACTORY</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_FALLBACK">FONT_FALLBACK</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_HANDLER">FONT_HANDLER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_MAP">FONT_MAP</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRADIENT_SHAPE">GRADIENT_SHAPE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRESTORE">GRESTORE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GROUP_TRANSFORM">GROUP_TRANSFORM</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GSAVE">GSAVE</a>, <a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#IMAGE_RENDERER">IMAGE_RENDERER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#PRESET_GEOMETRY_CACHE">PRESET_GEOMETRY_CACHE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS">TEXT_AS_CHARACTERS</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_SHAPES">TEXT_AS_SHAPES</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_RENDERING_MODE">TEXT_RENDERING_MODE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#DrawTextParagraph-org.apache.poi.sl.usermodel.TextParagraph-">DrawTextParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Apply 2-D transforms before drawing this shape.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#breakText-java.awt.Graphics2D-">breakText</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">break text into lines, each representing a line of text that fits
                                        in the wrapping width
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#draw-java.awt.Graphics2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Draw this shape into the supplied canvas</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#drawContent-java.awt.Graphics2D-">drawContent</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">draw any content within this shape (image, text, etc.).</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected java.text.AttributedString</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getAttributedString-java.awt.Graphics2D-java.lang.StringBuilder-">getAttributedString</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    java.lang.StringBuilder&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getBullet-java.awt.Graphics2D-java.text.AttributedCharacterIterator-">getBullet</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    java.text.AttributedCharacterIterator&nbsp;firstLineAttr)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getFirstLineHeight--">getFirstLineHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getFirstLineLeading--">getFirstLineLeading</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getLastLineHeight--">getLastLineHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getRenderableText-java.awt.Graphics2D-org.apache.poi.sl.usermodel.TextRun-">getRenderableText</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;tr)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getRenderableText-org.apache.poi.sl.usermodel.TextRun-">getRenderableText</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;tr)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getWrappingWidth-boolean-java.awt.Graphics2D-">getWrappingWidth</a></span>(boolean&nbsp;firstLine,
                                    java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Returns wrapping width to break lines in this paragraph</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#getY--">getY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#isEmptyParagraph--">isEmptyParagraph</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#isHSLF--">isHSLF</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#setAutoNumberingIdx-int-">setAutoNumberingIdx</a></span>(int&nbsp;index)</code>
                                    <div class="block">Sets the auto numbering index of the handled paragraph</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#setPosition-double-double-">setPosition</a></span>(double&nbsp;x,
                                    double&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="HYPERLINK_HREF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HYPERLINK_HREF</h4>
                                <pre>public static final&nbsp;org.apache.poi.sl.draw.DrawTextParagraph.XlinkAttribute HYPERLINK_HREF</pre>
                                <div class="block">Keys for passing hyperlinks to the graphics context</div>
                            </li>
                        </ul>
                        <a name="HYPERLINK_LABEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HYPERLINK_LABEL</h4>
                                <pre>public static final&nbsp;org.apache.poi.sl.draw.DrawTextParagraph.XlinkAttribute HYPERLINK_LABEL</pre>
                            </li>
                        </ul>
                        <a name="paragraph">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>paragraph</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt; paragraph</pre>
                            </li>
                        </ul>
                        <a name="lines">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lines</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a>&gt; lines</pre>
                            </li>
                        </ul>
                        <a name="rawText">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>rawText</h4>
                                <pre>protected&nbsp;java.lang.String rawText</pre>
                            </li>
                        </ul>
                        <a name="bullet">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>bullet</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a> bullet</pre>
                            </li>
                        </ul>
                        <a name="autoNbrIdx">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>autoNbrIdx</h4>
                                <pre>protected&nbsp;int autoNbrIdx</pre>
                            </li>
                        </ul>
                        <a name="maxLineHeight">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>maxLineHeight</h4>
                                <pre>protected&nbsp;double maxLineHeight</pre>
                                <div class="block">the highest line in this paragraph. Used for line spacing.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawTextParagraph-org.apache.poi.sl.usermodel.TextParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawTextParagraph</h4>
                                <pre>public&nbsp;DrawTextParagraph(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setPosition-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPosition</h4>
                                <pre>public&nbsp;void&nbsp;setPosition(double&nbsp;x,
                        double&nbsp;y)</pre>
                            </li>
                        </ul>
                        <a name="getY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY</h4>
                                <pre>public&nbsp;double&nbsp;getY()</pre>
                            </li>
                        </ul>
                        <a name="setAutoNumberingIdx-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAutoNumberingIdx</h4>
                                <pre>public&nbsp;void&nbsp;setAutoNumberingIdx(int&nbsp;index)</pre>
                                <div class="block">Sets the auto numbering index of the handled paragraph</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the auto numbering index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>public&nbsp;void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#draw-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">Draw this shape into the supplied canvas</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#draw-java.awt.Graphics2D-">draw</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstLineLeading--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstLineLeading</h4>
                                <pre>public&nbsp;float&nbsp;getFirstLineLeading()</pre>
                            </li>
                        </ul>
                        <a name="getFirstLineHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstLineHeight</h4>
                                <pre>public&nbsp;float&nbsp;getFirstLineHeight()</pre>
                            </li>
                        </ul>
                        <a name="getLastLineHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastLineHeight</h4>
                                <pre>public&nbsp;float&nbsp;getLastLineHeight()</pre>
                            </li>
                        </ul>
                        <a name="isEmptyParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmptyParagraph</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmptyParagraph()</pre>
                            </li>
                        </ul>
                        <a name="applyTransform-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyTransform</h4>
                                <pre>public&nbsp;void&nbsp;applyTransform(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#applyTransform-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">Apply 2-D transforms before drawing this shape. This includes
                                    rotation and flipping.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics whos transform matrix will be modified</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawContent-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawContent</h4>
                                <pre>public&nbsp;void&nbsp;drawContent(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">draw any content within this shape (image, text, etc.).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">drawContent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="breakText-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>breakText</h4>
                                <pre>protected&nbsp;void&nbsp;breakText(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">break text into lines, each representing a line of text that fits in
                                    the wrapping width
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - The drawing context for computing text-lengths.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBullet-java.awt.Graphics2D-java.text.AttributedCharacterIterator-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBullet</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a>&nbsp;getBullet(java.awt.Graphics2D&nbsp;graphics,
                                     java.text.AttributedCharacterIterator&nbsp;firstLineAttr)</pre>
                            </li>
                        </ul>
                        <a name="getRenderableText-java.awt.Graphics2D-org.apache.poi.sl.usermodel.TextRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRenderableText</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getRenderableText(java.awt.Graphics2D&nbsp;graphics,
                                             <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                                title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;tr)</pre>
                            </li>
                        </ul>
                        <a name="getRenderableText-org.apache.poi.sl.usermodel.TextRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRenderableText</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;java.lang.String&nbsp;getRenderableText(<a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                                       title="interface in org.apache.poi.sl.usermodel">TextRun</a>&nbsp;tr)</pre>
                            </li>
                        </ul>
                        <a name="getWrappingWidth-boolean-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWrappingWidth</h4>
                                <pre>protected&nbsp;double&nbsp;getWrappingWidth(boolean&nbsp;firstLine,
                                  java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Returns wrapping width to break lines in this paragraph</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstLine</code> - whether the first line is breaking</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>wrapping width in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttributedString-java.awt.Graphics2D-java.lang.StringBuilder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttributedString</h4>
                                <pre>protected&nbsp;java.text.AttributedString&nbsp;getAttributedString(java.awt.Graphics2D&nbsp;graphics,
                                                         java.lang.StringBuilder&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="isHSLF--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isHSLF</h4>
                                <pre>protected&nbsp;boolean&nbsp;isHSLF()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the HSLF implementation is used</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="DrawTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
